ALAS2-2018-960


Amazon Linux 2 Security Advisory: ALAS-2018-960
Advisory Release Date: 2018-02-21 21:22 Pacific
Severity: Medium
References: CVE-2017-14604 

Issue Overview:

Insufficient validation of trust of .desktop files with execute permission
An untrusted .desktop file with executable permission set could choose its displayed name and icon, and execute commands without warning when opened by the user. An attacker could use this flaw to trick a user into opening a .desktop file disguised as a document, such as a PDF, and execute arbitrary commands.(CVE-2017-14604 )


Affected Packages:

nautilus


Issue Correction:
Run yum update nautilus to update your system.

New Packages:
src:
    nautilus-3.22.3-4.amzn2.src

x86_64:
    nautilus-3.22.3-4.amzn2.x86_64
    nautilus-extensions-3.22.3-4.amzn2.x86_64
    nautilus-devel-3.22.3-4.amzn2.x86_64
    nautilus-debuginfo-3.22.3-4.amzn2.x86_64